package conf

import (
	beego "github.com/beego/beego/v2/server/web"
	"runtime"
)

func init() {
	if runtime.GOOS == "windows" {
		Server_test = true
	} else {
		Server_test = false
	}
}

var Server_test = false

var HTTPPort, _ = beego.AppConfig.String("HTTPPort")
var AppName, _ = beego.AppConfig.String("appname")
var RunMode, _ = beego.AppConfig.String("RunMode")
var Version, _ = beego.AppConfig.String("Version")

var Page_size = 10

// Mysql
var MysqlServer_UrlPort, _ = beego.AppConfig.String("MysqlServer_UrlPort")
var MysqlServer_Database, _ = beego.AppConfig.String("MysqlServer_Database")
var MysqlServer_Username, _ = beego.AppConfig.String("MysqlServer_Username")
var MysqlServer_Password, _ = beego.AppConfig.String("MysqlServer_Password")
var MysqlServer_MaxIdleConnections, _ = beego.AppConfig.Int("MysqlServer_MaxIdleConnections")
var MysqlServer_MaxOpenConnections, _ = beego.AppConfig.Int("MysqlServer_MaxOpenConnections")

// Nats
var NatsServer_Url, _ = beego.AppConfig.String("NatsServer_Url")
