package Account

import (
	_ "github.com/astaxie/beego/cache/redis"
	_ "github.com/go-sql-driver/mysql"
	"sync"
)

var User_r *User
var T_pid *int

type User struct {
	T_uuid  string `xml:"T_uuid"`
	T_pid   int    `xml:"T_pid"`
	T_power int    `xml:"T_power"`
	T_name  string `xml:"T_name"`
	T_user  string `xml:"T_user"`
	T_phone string `xml:"T_phone"`
	T_mail  string `xml:"T_mail"`
	T_wx    string `xml:"T_wx"`
}

var AdminMap *sync.Map // 泛型

func init() {
	AdminMap = new(sync.Map)
}

func Read_Admin_All_Map(A []User) {
	for _, v := range A {
		AdminMap.Store(v.T_uuid, v)
	}
}

func Read_User_T_name_Get(T_uuid string) string {
	// 有先加入 给全部人发消息
	v, ok := AdminMap.Load(T_uuid) /*如果确定是真实的,则存在,否则不存在 */
	if ok {
		return v.(User).T_name
	} else {
		return ""
	}
}

func Read_User_T_phone_Get(T_uuid string) string {
	// 有先加入 给全部人发消息
	//v, ok := AdminMap[T_uuid] /*如果确定是真实的,则存在,否则不存在 */
	v, ok := AdminMap.Load(T_uuid) /*如果确定是真实的,则存在,否则不存在 */
	if ok {
		return v.(User).T_phone
	} else {
		return ""
	}
}
