package Account

import "sync"

type Company struct {
	Id     int    `xml:"Id"`
	T_mid  int    `xml:"T_mid"`  //  上一级 ID
	T_name string `xml:"T_name"` // 公司名称
	T_uids string `xml:"T_uids"` // 绑定用户 Uid|  如：U1|U2|
}

var CompanyMap *sync.Map // 泛型

func init() {
	CompanyMap = new(sync.Map)
}

func Read_Company_All_Map(A []Company) {
	for _, v := range A {
		CompanyMap.Store(v.Id, v)
	}
}

func Read_Company_T_name_Get(id int) string {
	// 有先加入 给全部人发消息
	v, ok := CompanyMap.Load(id) /*如果确定是真实的,则存在,否则不存在 */
	if ok {
		return v.(Company).T_name
	} else {
		return ""
	}
}
