package routers

import (
	"Cold_WorkOrder/conf"
	"Cold_WorkOrder/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	// 订单管理
	ns := beego.NewNamespace(conf.Version,
		beego.NSNamespace("/WorkOrder",
			beego.NSRouter("/List", &controllers.WorkOrderController{}, "*:List"),           // 列表
			beego.NSRouter("/User_List", &controllers.WorkOrderController{}, "*:User_List"), // 用户列表
			beego.NSRouter("/Get", &controllers.WorkOrderController{}, "*:Get"),             // 获取
			beego.NSRouter("/Add", &controllers.WorkOrderController{}, "*:Add"),             // 添加
			beego.NSRouter("/Up", &controllers.WorkOrderController{}, "*:Up"),               // 编辑
			beego.NSRouter("/Del", &controllers.WorkOrderController{}, "*:Del"),             // 删除
		),
	)

	beego.AddNamespace(ns)

}
